﻿using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CASE_185229
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<TestData> testData = null;
        public MainWindow()
        {
            InitializeComponent();

            testData = new ObservableCollection<TestData>();

            testData.Add(new TestData { Id = 1, DisplayName = "test1", Icon = @"..\..\Image\Lighthouse.jpg" });
            testData.Add(new TestData { Id = 2, DisplayName = "test3", Icon = @"..\..\Image\Penguins.jpg" });
            testData.Add(new TestData { Id = 3, DisplayName = "test2", Icon = @"..\..\Image\Tulips.jpg" });

            this.DataContext = testData;

            MyGrid.Columns.Add(new TextColumn()
            {
                Key = "Id",
                HeaderText = "Id"
            });

            MyGrid.Columns.Add(new TemplateColumn()
            {
                Key = "DisplayName",
                HeaderText = "DisplayName",
                ItemTemplate = MyGrid.FindResource("NameTemplate") as DataTemplate,
                HeaderTemplate = MyGrid.FindResource("PublishIconHeaderTemplate") as DataTemplate
            });


        }

    }

    public class TestData : INotifyPropertyChanged
    {
        private int m_id;
        public int Id
        {
            get { return m_id; }
            set
            {
                m_id = value;
                NotifyPropertyChanged("Id");
            }
        }

        private String m_displayName;
        public String DisplayName
        {
            get { return m_displayName; }
            set
            {
                m_displayName = value;
                NotifyPropertyChanged("DisplayName");
            }
        }

        private String m_icon;
        public String Icon
        {
            get { return m_icon; }
            set
            {
                m_icon = value;
                NotifyPropertyChanged("Icon");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }
}
